Banshee Lyrics Plugin
Audio
Score 82%
Description:

DOWNLOAD SECTION UP AGAIN.

Lyrics plugin for Banshee.
It downloads lyrics from http://lyrc.com.ar
http://lyriky.com
http://lyricwiki.org and http://www.autolyrics.com

REQUIRED PACKAGES
mono, mono-gcms,banshee

INSTALL FROM BINARY PACKAGE:
launch ./install.sh or copy the .dll file in your banshee plugins directory

INSTALL FROM SOURCES:
./autogen.sh
make
make install (as root)
Last changelog:

10 years ago

New version includes:
-New GUI (clearer than the other one)
-New mode to manually add a lyric
-Gnome Proxy support
-Updated lyrics sources
-a lot of minor changes

Try it and enjoy.
Email me at christian.martellini@gmail.com for bugs report.

martellc1

8 years ago

There is a new version of the plugin (for banshee 1.4.1) available at:
http://www.gtk-apps.org/content/show.php/Banshee+Lyrics+Plugin+(reload)?content=94806

I forgot my previous account password, so I made a new one (martellc1)

Cheers,
Christian

Report

jav20a

8 years ago

Hi everyone, I love this plugin, now I have the patched one. Would be great if this plugin could save the lyrics in the hard drive, just like Amarok's and Rhythmbox's plugin does.

Thanks a lot.

Report

martellc1

8 years ago

the lyrics plugin already stores lyrics on the hard drive. Look in ~/.config/banshee/plugins/lyrics directory :)

Report

martellc1

8 years ago

Ok guys,
It seems that you love the plugin.. :) So I have to restart working on it.

I have worked on 'gnome media applet' until now and I didn't have any time for the lyrics plugin.
I think It's time for a new release..

Wait and hope.

Cheers,
Christian

Report

orlox

8 years ago

Thats great :D!

Love this plugin, but just installed banshee 1.4 and can't use it :P...

I wonder if it's possible to integrate this with banshee itself and not as a separate window...

Report

turtle

8 years ago

again, the patch from nikita works very well - it's not a big deal to make it 1.4 compatible anyway.

ahh, forgot to give complement to the developer of this great stuff! thanks a lot, using this plugin i do not need amarok anymore.

Report

Aiello

9 years ago

I love this plug-in, unfortunately, it is not compatible with the latest version of Banshee (1.4). Banshee will crash as soon as it begins to play media while the plug-in is enabled.

Report

snake10

9 years ago

I'm sad to hear that it doesn't work on the latest version :S. It is unbelieavable that a music player like banshee still doesn't come with a lyric plugin.
Would it be possible to make the lyrics viewable in the new "now playing" screen? That would be awesome!

Please, update the plugin as soon as you can.

thanks.

Report

turtle

8 years ago

There is a patch for it available: http://nikita.karnauhov.googlepages.com/
It works for me...

Report

darchitect

9 years ago

Does anyone got this plugin to work with banshee 1.2.1? how?

Report

LordIllidan

9 years ago

This doesn't compile with banshee-1 from svn with the following error :

./Constants.cs(77,50): error CS0234: The type or namespace name `NetworkDetect' does not exist in the namespace `Banshee.Networking'. Are you missing an assembly reference?

Report

Dlinx

9 years ago

I had the same problem that most of you had with gtkhtml-sharp. I compiled banshee lyrics on Archlinux (06/15/08).
I've installed many packages:
1.- gtkhtml
2.- libgtkhtml
3.- mono-tools.
Mono-tools is the one that made the script work. Hope this can help anyone trying to compile Banshee Lyrics.

Report

blackbelt

9 years ago

after run install.sh nothing appear in banshee.. I've installed latest version (svn) under gentoo..
any suggestion?
thanks

Report

serverless

9 years ago

I encountered this error while listening to a track

An unhandled exception was thrown: Method not found: 'Banshee.Collection.TrackInfo.get_ArtistAlbumId'.

at Banshee.Plugins.Lyrics.LyricsWindow.UpdateHeader () <0x0006c>
at Banshee.Plugins.Lyrics.LyricsWindow.Update () <0x000ec>
at Banshee.Plugins.Lyrics.LyricsPlugin.OnPlayerEngineEventChanged (Banshee.MediaEngine.PlayerEventArgs) <0x0008e>
at (wrapper delegate-invoke) System.MulticastDelegate.invoke_void_PlayerEventArgs (Banshee.MediaEngine.PlayerEventArgs) <0x00037>
at Banshee.MediaEngine.PlayerEngine.RaiseEventChanged (Banshee.MediaEngine.PlayerEventArgs) [0x0000d] in /build/buildd/banshee-1-0.99.2/src/Core/Banshee.Services/Banshee.MediaEngine/PlayerEngine.cs:169
at Banshee.MediaEngine.PlayerEngine.OnEventChanged (Banshee.MediaEngine.PlayerEventArgs) [0x00020] in /build/buildd/banshee-1-0.99.2/src/Core/Banshee.Services/Banshee.MediaEngine/PlayerEngine.cs:157
at Banshee.MediaEngine.PlayerEngine.OnEventChanged (Banshee.MediaEngine.PlayerEvent) [0x00000] in /build/buildd/banshee-1-0.99.2/src/Core/Banshee.Services/Banshee.MediaEngine/PlayerEngine.cs:151
at Banshee.GStreamer.PlayerEngine.OnStateChange (intptr,Banshee.GStreamer.GstState,Banshee.GStreamer.GstState,Banshee.GStreamer.GstState) [0x0003f] in /build/buildd/banshee-1-0.99.2/src/Backends/Banshee.GStreamer/Banshee.GStreamer/PlayerEngine.cs:210
at (wrapper native-to-managed) Banshee.GStreamer.PlayerEngine.OnStateChange (intptr,Banshee.GStreamer.GstState,Banshee.GStreamer.GstState,Banshee.GStreamer.GstState) <0x0004c>
at (wrapper managed-to-native) Gtk.Application.gtk_main () <0x00004>
at Gtk.Application.Run () <0x00007>
at Banshee.Gui.GtkBaseClient.Run () [0x00027] in /build/buildd/banshee-1-0.99.2/src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs:114
at Banshee.Gui.GtkBaseClient.Startup () [0x00000] in /build/buildd/banshee-1-0.99.2/src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs:55
at Hyena.Gui.CleanRoomStartup.Startup (Hyena.Gui.CleanRoomStartup/StartupInvocationHandler) [0x00048] in /build/buildd/banshee-1-0.99.2/src/Libraries/Hyena.Gui/Hyena.Gui/CleanRoomStartup.cs:54


.NET Version: 2.0.50727.42
OS Version: Unix 2.6.24.17

Assembly Version Information:

Mtp (0.99.2.13427)
Banshee.Dap.MassStorage (0.99.2.13437)
Banshee.Dap.Mtp (0.99.2.13438)
taglib-sharp (2.0.3.0)
Mono.Media (0.99.2.13427)
Banshee.NowPlaying (0.99.2.13442)
Banshee.PlayQueue (0.99.2.13442)
gtkhtml-sharp (3.16.0.0)
Banshee.Lyrics (0.0.0.0)
Lastfm (0.99.2.13428)
Banshee.Lastfm (0.99.2.13440)
Migo (0.99.2.13427)
Banshee.Podcasting (0.99.2.13443)
notify-sharp (0.4.0.0)
Banshee.NotificationArea (0.99.2.13441)
Banshee.Bookmarks (0.99.2.13439)
Banshee.MultimediaKeys (0.99.2.13441)
Banshee.Dap (0.99.2.13436)
Banshee.AudioCd (0.99.2.13438)
pango-sharp (2.12.0.0)
Mono.Cairo (2.0.0.0)
Banshee.Widgets (0.99.2.13432)
Banshee.Hal (0.99.2.13435)
Banshee.Unix (0.99.2.13436)
Banshee.GStreamer (0.99.2.13436)
gconf-sharp (2.20.0.0)
Banshee.Gnome (0.99.2.13435)
System.Transactions (2.0.0.0)
NDesk.DBus.Proxies (0.0.0.0)
NDesk.DBus.GLib (1.0.0.0)
NDesk.DBus (1.0.0.0)
System.Xml (2.0.0.0)
System.Data (2.0.0.0)
Mono.Data.SqliteClient (2.0.0.0)
Mono.Addins (0.3.0.0)
gdk-sharp (2.12.0.0)
atk-sharp (2.12.0.0)
Hyena.Gui (0.99.2.13426)
Mono.Posix (2.0.0.0)
gtk-sharp (2.12.0.0)
glib-sharp (2.12.0.0)
Banshee.Core (0.99.2.13429)
Hyena (0.99.2.13425)
System (2.0.0.0)
Banshee.Services (0.99.2.13431)
Banshee.ThickClient (0.99.2.13433)
Nereid (0.99.2.13434)
mscorlib (2.0.0.0)

Platform Information: Linux 2.6.24-17-generic i686 unknown GNU/Linux

Disribution Information:

[/etc/lsb-release]
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu 8.04"

[/etc/debian_version]
lenny/sid

Any advice?

Report

JiminyJones

9 years ago

Error:
Package gtkhtml-sharp-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gtkhtml-sharp-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gtkhtml-sharp-2.0' found

I can't find the gtkhtml-sharp package anywhere. Any ideas?

Report

saeid

9 years ago

same problem!

Report

C

martellc

9 years ago

I think gtkhtml-sharp is included by default in mono.
For the new version of the plugin I used mono-1.2.6 (the default version used in ubuntu 8.04) and gtkhtml-sharp-3.14.
Try installing a new version of mono or using the binary package just provided in the download section.

Report

blackbelt

9 years ago

the same here.. I have mono-1.9.1 installed.. How could I fix

Report

ellon

9 years ago

After you type in the lyrics and save it, next time you open it you will find out the line breaks were removed.

I fixed the problem, see the code:
http://www.myjavaserver.com/~jasonliang/linux/banshee-lyrics-plugin-0.tar.gz

Report

C

martellc

9 years ago

thank you ellon

Report

10 years ago

New version includes:
-New GUI (clearer than the other one)
-New mode to manually add a lyric
-Gnome Proxy support
-Updated lyrics sources
-a lot of minor changes

Try it and enjoy.
Email me at christian.martellini@gmail.com for bugs report.

product-maker droper03121 May 29 2012

product-maker 11 71

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
0.5
updated Jun 04 2008
added Aug 22 2007
downloads today
page views today